Obtain the supported tokens for a Smart Deposit Address
curl --request GET \
--url https://api.rhino.fi/sda/deposit-addresses/{depositChain}/{destinationChain}/supported-tokensimport requests
url = "https://api.rhino.fi/sda/deposit-addresses/{depositChain}/{destinationChain}/supported-tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rhino.fi/sda/deposit-addresses/{depositChain}/{destinationChain}/supported-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supportedTokens": [
{
"symbol": "<string>",
"address": "<string>",
"maxDepositLimitUsd": 1,
"minDepositLimitUsd": 1
}
]
}{
"issues": [
{
"_tag": "Pointer",
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"chains": [
"<string>"
],
"_tag": "DepositAddressChainsNotSupported"
}depositAddresses
Obtain the supported tokens for a Smart Deposit Address
This endpoint provides key information about the chains and tokens that Rhino.fi supports swapping and/or bridging on for Smart Deposit Addresses.
GET
/
deposit-addresses
/
{depositChain}
/
{destinationChain}
/
supported-tokens
Obtain the supported tokens for a Smart Deposit Address
Path Parameters
The blockchain where the deposit was sent to, e.g. "ETHEREUM".
Minimum string length:
1The blockchain where the tokenOut will be bridged to.
Minimum string length:
1Query Parameters
The token that will be received on the destinationChain, e.g. "USDT".
Response
SupportedTokensResponse
The assets that can be deposited to the depositAddress for this depositChain.
Show child attributes
Show child attributes